package routers

import (
	"FollowUp_Notice/controllers"
	beego "github.com/beego/beego/v2/server/web"
)

func init() {
	// ---- 用户
	beego.Router("/Login_verification", &controllers.UserController{}, "*:Login_verification") // 获取未读消息
	//-----------用户管理
	beego.Router("/User/List", &controllers.UserController{}, "*:List")             // 列表
	beego.Router("/User/Add", &controllers.UserController{}, "*:Add")               // 添加
	beego.Router("/User/Edit", &controllers.UserController{}, "*:Edit")             // 编辑
	beego.Router("/User/Del", &controllers.UserController{}, "*:Del")               // 删除
	beego.Router("/User/Pay", &controllers.UserController{}, "*:Pay")               // 充值
	beego.Router("/User/Bill", &controllers.UserController{}, "*:Bill")             // 账单
	beego.Router("/User/Bill_Excel", &controllers.UserController{}, "*:Bill_Excel") // 账单下载
	beego.Router("/User/Info", &controllers.UserController{}, "*:Info")             // 个人信息
	beego.Router("/User/Send", &controllers.UserController{}, "*:Send")             // 通知
	beego.Router("/User/Send_Excel", &controllers.UserController{}, "*:Send_Excel") // 通知下载
	beego.Router("/User/Send_Test", &controllers.UserController{}, "*:Send_Test")   // 测试通知

	beego.Router("/User/Satisfaction_Stats", &controllers.UserController{}, "*:Satisfaction_Stats") // 满意度调查统计
	beego.Router("/User/Satisfaction_List", &controllers.UserController{}, "*:Satisfaction_List")   // 满意度调查列表

	beego.Router("/Wx/Get_QR_Code", &controllers.UserController{}, "*:Get_Weixin_QR_Code") // 获取微信支付二维码
	beego.Router("/Wx/Notify", &controllers.UserController{}, "*:Weixin_Notify")           // 获取微信支付二维码
	beego.Router("/Wx/GetOrderState", &controllers.UserController{}, "*:GetWxOrderState")  // 获取微信支付状态
}
